Skip to content

Create a sticky ​

POST/api/v1/workspaces/{workspace_slug}/stickies/

Create a new sticky in the workspace.

Path parameters ​

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

deleted_at:optionalstring

When the sticky was deleted.

name:optionalstring

The sticky's name.

description:optionalobject

The sticky's description.

description_html:optionalstring

The description as HTML.

description_stripped:optionalstring

The description as plain text, with HTML removed.

logo_props:optionalobject

Logo settings used by the Plane editor.

color:optionalstring

Display color.

background_color:optionalstring

The sticky's background color.

sort_order:optionalnumber

Position used for manual ordering.

created_by:optionalstring

ID of the user who created the sticky.

updated_by:optionalstring

ID of the user who last updated the sticky.

Scopes ​

stickies:write

Create a sticky
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/stickies/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "deleted_at": "2024-01-01T00:00:00Z",
  "name": "Example Name",
  "description": "example-value",
  "description_html": "<p>Example content</p>",
  "description_stripped": "Example description",
  "logo_props": "example-value",
  "color": "Example Name",
  "background_color": "Example Name",
  "sort_order": 1,
  "created_by": "550e8400-e29b-41d4-a716-446655440000",
  "updated_by": "550e8400-e29b-41d4-a716-446655440000"
}'
Response201
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example Name",
  "description_html": "<p>Example content</p>",
  "created_at": "2024-01-01T00:00:00Z"
}